Comment 38 for bug 971876

Giuseppe Cardone (ippatsuman) wrote :

The driver does not compile anymore because __devinit/__devexit macros have been deprecated in Linux 3.8 (see https://patchwork.kernel.org/patch/1766601/ ). Redefining __devinit, __devexit and __devexit_p as empty macros fixes the code, that can be successfully compiled and installed on Linux 3.8. I attached a patch that fixes the driver compilation.

Tested on Linux 3.8.0-25-generic x64.